summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Fridrich von Stauffenberg2011-12-12 11:54:19 +0100
committer Niels Horn2011-12-12 11:54:19 +0100
commit25920494462ff5e3ca854707668d82322f2d8bd1 (patch)
tree48ba3910a92cd597dc7f6e4511d2582e57aa2d6a /multimedia
parenta2fcd74232de65b61cfe566ab58586be4673db0e (diff)
downloadslackbuilds-25920494462ff5e3ca854707668d82322f2d8bd1.tar.gz
multimedia/cueplayer: Added (media player and transcoder)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/cueplayer/README5
-rw-r--r--multimedia/cueplayer/cueplayer.SlackBuild76
-rw-r--r--multimedia/cueplayer/cueplayer.desktop10
-rw-r--r--multimedia/cueplayer/cueplayer.info10
-rw-r--r--multimedia/cueplayer/cueplayer.pngbin0 -> 5312 bytes
-rw-r--r--multimedia/cueplayer/doinst.sh4
-rw-r--r--multimedia/cueplayer/slack-desc19
7 files changed, 124 insertions, 0 deletions
diff --git a/multimedia/cueplayer/README b/multimedia/cueplayer/README
new file mode 100644
index 0000000000..b7ba20b632
--- /dev/null
+++ b/multimedia/cueplayer/README
@@ -0,0 +1,5 @@
+CuePlayer is yet another audio/video player and converter based on
+GStreamer and Qt.
+
+gst-plugins-bad, gst-plugins-ugly and gst-ffmpeg are optional
+but recommended dependencies.
diff --git a/multimedia/cueplayer/cueplayer.SlackBuild b/multimedia/cueplayer/cueplayer.SlackBuild
new file mode 100644
index 0000000000..7ca30ee127
--- /dev/null
+++ b/multimedia/cueplayer/cueplayer.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/bash
+
+# Slackware build script for CuePlayer
+
+# Copyright 2011 Fridrich von Stauffenberg <cancellor2@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=cueplayer
+VERSION=${VERSION:-0.28}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . -type d -exec chmod 755 {} \;
+find . -type f -exec chmod 644 {} \;
+
+sed -i '/^locale\.path/s/\/usr/\$\$PREFIX/' $PRGNAM.pro
+qmake PREFIX=/usr $PRGNAM.pro
+
+make
+INSTALL_ROOT=$PKG make install
+
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cat $CWD/$PRGNAM.png > $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp CHANGELOG INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/cueplayer/cueplayer.desktop b/multimedia/cueplayer/cueplayer.desktop
new file mode 100644
index 0000000000..15b486d5bf
--- /dev/null
+++ b/multimedia/cueplayer/cueplayer.desktop
@@ -0,0 +1,10 @@
+[Desktop Entry]
+Encoding=UTF-8
+Version=1.0
+Type=Application
+Name=CuePlayer
+GenericName=Media Player
+Comment=Lightweight media player and transcoder
+Icon=cueplayer
+Exec=cueplayer
+Categories=AudioVideo;Audio;Video;Player;Qt;
diff --git a/multimedia/cueplayer/cueplayer.info b/multimedia/cueplayer/cueplayer.info
new file mode 100644
index 0000000000..bfedc95857
--- /dev/null
+++ b/multimedia/cueplayer/cueplayer.info
@@ -0,0 +1,10 @@
+PRGNAM="cueplayer"
+VERSION="0.28"
+HOMEPAGE="http://cueplayer.googlecode.com"
+DOWNLOAD="http://cueplayer.googlecode.com/files/cueplayer-0.28.tar.gz"
+MD5SUM="7ea51fe9fb88030eb52b26674a9d9180"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Fridrich von Stauffenberg"
+EMAIL="cancellor2@gmail.com"
+APPROVED="Niels Horn"
diff --git a/multimedia/cueplayer/cueplayer.png b/multimedia/cueplayer/cueplayer.png
new file mode 100644
index 0000000000..c9b7a0b204
--- /dev/null
+++ b/multimedia/cueplayer/cueplayer.png
Binary files differ
diff --git a/multimedia/cueplayer/doinst.sh b/multimedia/cueplayer/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/cueplayer/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/cueplayer/slack-desc b/multimedia/cueplayer/slack-desc
new file mode 100644
index 0000000000..0330cdb8f5
--- /dev/null
+++ b/multimedia/cueplayer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cueplayer: CuePlayer (media player and transcoder)
+cueplayer:
+cueplayer: CuePlayer is yet another audio/video player and converter based on
+cueplayer: GStreamer and Qt.
+cueplayer:
+cueplayer: Homepage: http://cueplayer.googlecode.com
+cueplayer:
+cueplayer:
+cueplayer:
+cueplayer:
+cueplayer: